#include <iostream>

using namespace std;

int main()
{
    long int n,k;
    cin>>n>>k;
    int a[n],b[2*n+1],br=0;
    for(int i=0;i<2*n+1;i++)b[i]=0;
    for(int i=0;i<n;i++){
        cin>>a[i];
        b[a[i]+n]++;
        if(b[a[i]+n]==k) br++;
    }
    cout<<br<<endl;
    for(int i=0;i<2*n+1;i++)
        if(b[i]>=k) cout<<i-n<<" ";
    return 0;
}